<?php

// require_once 'tpl.inc';

class Template_Time extends Template
{
	
	function get_vartag_value($vartag)
	{
		$find = array("dd", "d", "mm", "m", "yyyy", "yy", "hh", "h", "ii", "ss");
		$rep = array("d",  "j", "m",  "n",  "Y",  "y",   "H",  "G", "i",  "s");
		foreach($find as $index=>$item)
			$vartag = str_replace($item, date($rep[$index], get_unix_time()), $vartag);
			
		return $vartag;
	}
	
	function get_info()
	{
		return array("info"=>"display the time, using some notations like dd, mm, yy, hh, ...", "version"=>"1");
	}
}

?>